Get deprecation information
- GET /{index}/_migration/deprecations
- GET /_migration/deprecations
Get information about different cluster, node, and index level settings that use deprecated features that will be removed or changed in the next major version.
TIP: This APIs is designed for indirect use by the Upgrade Assistant. You are strongly recommended to use the Upgrade Assistant.
- Cluster privileges:
manage
Path Parameters
-
indexstring IndexNameoptional -
Comma-separate list of data streams or indices to check. Wildcard (*) expressions are supported.
Leave it out to use
/_migration/deprecations.
Response
-
cluster_settingsDeprecationrequired -
Cluster-level deprecation warnings.
-
detailsstring -
Optional details about the deprecation warning.
-
levelDeprecationLevelrequired -
The level property describes the significance of the issue.
Supported values include:
noneinfowarning: You can upgrade directly, but you are using deprecated functionality which will not be available or behave differently in the next major version.critical: You cannot upgrade without fixing this problem.
-
Values:
noneinfowarningcritical -
messagestringrequired -
Descriptive information about the deprecation warning.
-
urlstringrequired -
A link to the breaking change documentation, where you can find more information about this change.
-
resolve_during_rolling_upgradebooleanrequired -
_metamap string to object -
index_settingsmap string to Deprecationrequired -
Index warnings are sectioned off per index and can be filtered using an index-pattern in the query. This section includes warnings for the backing indices of data streams specified in the request path.
-
data_streamsmap string to Deprecationrequired -
node_settingsDeprecationrequired -
Node-level deprecation warnings. Since only a subset of your nodes might incorporate these settings, it is important to read the details section for more information about which nodes are affected.
-
detailsstring -
Optional details about the deprecation warning.
-
levelDeprecationLevelrequired -
The level property describes the significance of the issue.
Supported values include:
noneinfowarning: You can upgrade directly, but you are using deprecated functionality which will not be available or behave differently in the next major version.critical: You cannot upgrade without fixing this problem.
-
Values:
noneinfowarningcritical -
messagestringrequired -
Descriptive information about the deprecation warning.
-
urlstringrequired -
A link to the breaking change documentation, where you can find more information about this change.
-
resolve_during_rolling_upgradebooleanrequired -
_metamap string to object -
ml_settingsDeprecationrequired -
Machine learning-related deprecation warnings.
-
detailsstring -
Optional details about the deprecation warning.
-
levelDeprecationLevelrequired -
The level property describes the significance of the issue.
Supported values include:
noneinfowarning: You can upgrade directly, but you are using deprecated functionality which will not be available or behave differently in the next major version.critical: You cannot upgrade without fixing this problem.
-
Values:
noneinfowarningcritical -
messagestringrequired -
Descriptive information about the deprecation warning.
-
urlstringrequired -
A link to the breaking change documentation, where you can find more information about this change.
-
resolve_during_rolling_upgradebooleanrequired -
_metamap string to object -
templatesmap string to Deprecationrequired -
Template warnings are sectioned off per template and include deprecations for both component templates and index templates.
-
ilm_policiesmap string to Deprecationrequired -
ILM policy warnings are sectioned off per policy.